=== debian/changelog ===
armadillo (1:9.200.7.1-deepin) UNRELEASED; urgency=medium

  * Remove libsuperlu5 dependencies

 -- Lvpeilong <lvpeilong@uniontech.com>  Wed, 17 Aug 2022 16:26:18 +0800
