=== debian/control ===
Source: armadillo
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kumar Appaiah <akumar@debian.org>
Build-Depends: debhelper (>= 7), libblas-dev, liblapack-dev, cmake, libarpack2-dev, dpkg-dev (>= 1.16.1~), quilt
Standards-Version: 4.1.1
Section: libs
Homepage: http://arma.sourceforge.net/
Vcs-Git: https://salsa.debian.org/science-team/armadillo.git
Vcs-Browser: https://salsa.debian.org/science-team/armadillo

Package: libarmadillo-dev
Section: libdevel
Architecture: any
Suggests: libitpp-dev
Depends: libarmadillo9 (= ${binary:Version}), ${misc:Depends}, libarpack2-dev, libhdf5-dev
Replaces: libarmadillo-doc (<= 1.1.2-1)
Conflicts: libarmadillo-doc
Description: streamlined C++ linear algebra library - Headers
 Armadillo is a streamlined C++ linear algebra library (matrix maths)
 aiming towards a good balance between speed and ease of use. Integer,
 floating point and complex numbers are supported, as well as a subset
 of trigonometric and statistics functions. Optional integration with
 LAPACK and ATLAS libraries is also provided.
 .
 This package has the development libraries and headers for Armadillo.

Package: libarmadillo9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: streamlined C++ linear algebra library
 Armadillo is a streamlined C++ linear algebra library (matrix maths)
 aiming towards a good balance between speed and ease of use. Integer,
 floating point and complex numbers are supported, as well as a subset
 of trigonometric and statistics functions. Optional integration with
 LAPACK and ATLAS libraries is also provided.
