## armadillo 9.600.5+dfsg

=== debian/changelog ===
armadillo (1:9.600.5+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Mon, 29 Jul 2019 08:58:55 +0530
