=== debian/changelog ===
armadillo (1:9.800.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:58 +0100

armadillo (1:9.800.4+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 22 Jan 2020 20:29:53 +0530

armadillo (1:9.800.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Standards version is now 4.4.0 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 09 Oct 2019 18:57:37 +0530
