## armadillo 10.1.0+dfsg

=== debian/changelog ===
armadillo (1:10.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Tue, 20 Oct 2020 10:10:21 +0530

armadillo (1:10.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Standards version is now 4.5.0

 -- Kumar Appaiah <akumar@debian.org>  Fri, 09 Oct 2020 14:59:12 +0530
