## armadillo 10.1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,13 @@
   endif()
 endif()
 
+if(NOT (CMAKE_VERSION VERSION_LESS "3.1"))
+  set(CMAKE_CXX_STANDARD 11)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
+  set(CMAKE_CXX_EXTENSIONS OFF)
+  message(STATUS "CMAKE_CXX_STANDARD = ${CMAKE_CXX_STANDARD}")
+endif()
+
 project(armadillo CXX C)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
@@ -45,13 +52,13 @@
 
 # the settings below will be automatically configured by the rest of this script
 
-set(ARMA_USE_LAPACK           false)
-set(ARMA_USE_BLAS             false)
-set(ARMA_USE_ATLAS            false)
-set(ARMA_USE_HDF5_ALT         false)
-set(ARMA_USE_ARPACK           false)
-set(ARMA_USE_EXTERN_CXX11_RNG false)
-set(ARMA_USE_SUPERLU          false)  # Caveat: only SuperLU version 5.x can be used!
+set(ARMA_USE_LAPACK     false)
+set(ARMA_USE_BLAS       false)
+set(ARMA_USE_ATLAS      false)
+set(ARMA_USE_HDF5_ALT   false)
+set(ARMA_USE_ARPACK     false)
+set(ARMA_USE_EXTERN_RNG false)
+set(ARMA_USE_SUPERLU    false)  # Caveat: only SuperLU version 5.x can be used!
 
 ## NOTE: OpenBLAS appears to have its own LAPACK functions,
 ## NOTE: but on some systems the installed version of OpenBLAS
@@ -81,6 +88,59 @@
 message(STATUS "Configuring Armadillo ${ARMA_VERSION_MAJOR}.${ARMA_VERSION_MINOR}.${ARMA_VERSION_PATCH}")
 
 
+# NOTE: ARMA_USE_EXTERN_RNG requires compiler support for thread_local and C++11
+# NOTE: for Linux, this is available with gcc 4.8.3 onwards
+# NOTE: for macOS, thread_local is supoported in Xcode 8 (mid 2016 onwards) in C++11 mode
+
+if(DEFINED CMAKE_CXX_COMPILER_ID AND DEFINED CMAKE_CXX_COMPILER_VERSION)
+  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    if(NOT (${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 4.8.3))
+      set(ARMA_USE_EXTERN_RNG true)
+      message(STATUS "Detected gcc 4.8.3 or later")
+      if(NOT DEFINED CMAKE_CXX_STANDARD)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+        message(STATUS "Added '-std=c++11' to compiler flags")
+      endif()
+    else()
+      message(FATAL_ERROR "Compiler too old")
+    endif()
+  else()
+    if(NOT (${CMAKE_MAJOR_VERSION} LESS 3))
+      if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+        if(NOT ${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 6.0)
+          set(ARMA_USE_EXTERN_RNG true)
+          message(STATUS "Detected Clang 6.0 or later")
+          if(NOT DEFINED CMAKE_CXX_STANDARD)
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
+            message(STATUS "Added '-std=c++14' to compiler flags")
+          endif()
+        else()
+          message(FATAL_ERROR "Compiler too old")
+        endif()
+      elseif(CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
+        if(NOT ${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 8.0)
+          set(ARMA_USE_EXTERN_RNG true)
+          message(STATUS "Detected AppleClang 8.0 or later")
+          if(NOT DEFINED CMAKE_CXX_STANDARD)
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
+            message(STATUS "Added '-std=c++14' to compiler flags")
+          endif()
+        else()
+          message(FATAL_ERROR "Compiler too old")
+        endif()
+      endif()
+    endif()
+  endif()
+endif()
+
+if(MINGW OR MSYS OR CYGWIN OR MSVC)
+  # MinGW doesn't correctly handle thread_local
+  set(ARMA_USE_EXTERN_RNG false)
+endif()
+
+message(STATUS "ARMA_USE_EXTERN_RNG = ${ARMA_USE_EXTERN_RNG}")
+
+
 # As Red Hat Enterprise Linux (and related systems such as Fedora)
 # does not search /usr/local/lib by default, we need to place the
 # library in either /usr/lib or /usr/lib64
@@ -133,6 +193,14 @@
 endif()
 
 option(DETECT_HDF5 "Detect HDF5 and include HDF5 support, if found" ON)
+# set(DETECT_HDF5 false)
+## uncomment the above line to disable the detection of the HDF5 library;
+## you can also disable HDF5 detection directly on the command line:
+## cmake -D DETECT_HDF5=false .
+
+option(ALLOW_FLEXIBLAS_LINUX "Allow detection of FlexiBLAS on Linux (EXPERIMENTAL)" OFF)
+## Example use on the command line:
+## cmake -D ALLOW_FLEXIBLAS_LINUX=true .
 
 option(ALLOW_OPENBLAS_MACOS "Allow detection of OpenBLAS on macOS" OFF)
 ## Example use on the command line:
@@ -141,6 +209,12 @@
 option(ALLOW_BLAS_LAPACK_MACOS "Allow detection of BLAS and LAPACK on macOS" OFF)
 ## Example use on the command line:
 ## cmake -D ALLOW_BLAS_LAPACK_MACOS=true .
+
+option(BUILD_SMOKE_TEST "Build a smoke test" OFF)
+## Example use on the command line:
+## cmake -D BUILD_SMOKE_TEST=true .
+## make
+## ctest
 
 
 if(WIN32)
@@ -165,9 +239,13 @@
 message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
 message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
 message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
+message(STATUS "ALLOW_FLEXIBLAS_LINUX      = ${ALLOW_FLEXIBLAS_LINUX}"     )
 message(STATUS "ALLOW_OPENBLAS_MACOS       = ${ALLOW_OPENBLAS_MACOS}"      )
 message(STATUS "ALLOW_BLAS_LAPACK_MACOS    = ${ALLOW_BLAS_LAPACK_MACOS}"   )
-
+message(STATUS "BUILD_SMOKE_TEST           = ${BUILD_SMOKE_TEST}"          )
+
+message(STATUS "")
+message(STATUS "*** Looking for external libraries")
 
 ##
 ## Find LAPACK and BLAS libraries, or their optimised versions
@@ -177,8 +255,6 @@
 
 if(APPLE)
   message(STATUS "Detected macOS")
-  
-  set(ARMA_OS macos)
   
   set(ARMA_USE_LAPACK     true)
   set(ARMA_USE_BLAS       true)
@@ -223,73 +299,3 @@
   endif()
   
   if(DEFINED CMAKE_CXX_COMPILER_ID)
-    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-      message(STATUS "Detected Clang compiler on macOS. Added '-stdlib=libc++' to compiler flags")
-    endif()
-    
-    if(NOT (${CMAKE_MAJOR_VERSION} LESS 3))
-      if(CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-        message(STATUS "Detected AppleClang compiler on macOS. Added '-stdlib=libc++' to compiler flags")
-      endif()
-    endif()
-  endif()
-  
-  set(CMAKE_MACOSX_RPATH 1)
-  
-else()
-  
-  set(ARMA_OS unix)
-  
-  include(ARMA_FindMKL)
-  include(ARMA_FindACMLMP)
-  include(ARMA_FindACML)
-  include(ARMA_FindOpenBLAS)
-  include(ARMA_FindATLAS)
-  include(ARMA_FindBLAS)
-  include(ARMA_FindLAPACK)
-  
-  message(STATUS "     MKL_FOUND = ${MKL_FOUND}"     )
-  message(STATUS "  ACMLMP_FOUND = ${ACMLMP_FOUND}"  )
-  message(STATUS "    ACML_FOUND = ${ACML_FOUND}"    )
-  message(STATUS "OpenBLAS_FOUND = ${OpenBLAS_FOUND}")
-  message(STATUS "   ATLAS_FOUND = ${ATLAS_FOUND}"   )
-  message(STATUS "    BLAS_FOUND = ${BLAS_FOUND}"    )
-  message(STATUS "  LAPACK_FOUND = ${LAPACK_FOUND}"  )
-  
-  if(MKL_FOUND OR ACMLMP_FOUND OR ACML_FOUND)
-    
-    set(ARMA_USE_LAPACK true)
-    set(ARMA_USE_BLAS   true)
-    
-    message(STATUS "")
-    message(STATUS "*** If the MKL or ACML libraries are installed in non-standard locations such as")
-    message(STATUS "*** /opt/intel/mkl, /opt/intel/composerxe/, /usr/local/intel/mkl")
-    message(STATUS "*** make sure the run-time linker can find them.")
-    message(STATUS "*** On Linux systems this can be done by editing /etc/ld.so.conf")
-    message(STATUS "*** or modifying the LD_LIBRARY_PATH environment variable.")
-    message(STATUS "")
-    message(STATUS "*** On systems with SELinux enabled (eg. Fedora, RHEL),")
-    message(STATUS "*** you may need to change the SELinux type of all MKL/ACML libraries")
-    message(STATUS "*** to fix permission problems that may occur during run-time.")
-    message(STATUS "")
-    
-    if(MKL_FOUND)
-      set(ARMA_LIBS ${ARMA_LIBS} ${MKL_LIBRARIES})
-      
-      if(ACMLMP_FOUND OR ACML_FOUND)
-        message(STATUS "*** Intel MKL as well as AMD ACML libraries were found.")
-        message(STATUS "*** Using only the MKL library to avoid linking conflicts.")
-        message(STATUS "*** If you wish to use ACML instead, please link manually with")
-        message(STATUS "*** acml or acml_mp instead of the armadillo wrapper library.")
-        message(STATUS "*** Alternatively, remove MKL from your system and rerun")
-        message(STATUS "*** Armadillo's configuration using ./configure") 
-      endif()
-      
-    else()
-      
-      if(ACMLMP_FOUND)
-        set(ARMA_LIBS ${ARMA_LIBS} ${ACMLMP_LIBRARIES})
-        
-        message(STATUS "*** Both single-core and multi-core ACML libraries were found.")
