=== debian/changelog ===
armadillo (1:10.1.2+dfsg-6) unstable; urgency=medium

  * Add patch from upstream for fixing sparse matrix related bug.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Jun 2021 09:43:00 +0530

armadillo (1:10.1.2+dfsg-5) unstable; urgency=medium

  * Add patches from upstream for pinv and rcond bugs

 -- Kumar Appaiah <akumar@debian.org>  Tue, 09 Mar 2021 20:19:43 +0530

armadillo (1:10.1.2+dfsg-4) unstable; urgency=medium

  * Fix issue with princomp function.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 15 Feb 2021 14:52:17 +0530

armadillo (1:10.1.2+dfsg-3) unstable; urgency=medium

  * Add patch to handle sign for NaNs

 -- Kumar Appaiah <akumar@debian.org>  Wed, 20 Jan 2021 16:19:03 +0530

armadillo (1:10.1.2+dfsg-2) unstable; urgency=medium

  * Install cmake and pkg-config files during install. (Closes: #954927)
  * Remove generated files during cleanup
  * Standards version is now 4.5.1 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 17 Dec 2020 07:58:31 +0530

armadillo (1:10.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Wed, 18 Nov 2020 14:34:07 +0530
