## armadillo 10.6.2+dfsg

=== debian/changelog ===
armadillo (1:10.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches (included upstream)

 -- Kumar Appaiah <akumar@debian.org>  Tue, 24 Aug 2021 19:47:25 +0530
