## armadillo 11.2.3+dfsg

=== debian/changelog ===
armadillo (1:11.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Build depend on debhelper 10 or more
  * Update standards version (no changes)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 27 Jul 2022 09:42:57 +0530

armadillo (1:11.1.1+dfsg-3) unstable; urgency=medium

  * Reupload (source-only)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 13 Jun 2022 08:47:27 +0530

armadillo (1:11.1.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Sat, 11 Jun 2022 15:16:12 +0530

armadillo (1:11.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * soname is now 11, add libarmadillo11 package

 -- Kumar Appaiah <akumar@debian.org>  Wed, 18 May 2022 20:23:37 +0530
