## armadillo 11.4.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,14 +16,14 @@
 # ------------------------------------------------------------------------
 
 
-## NOTE: If you prefer to link your programs directly with BLAS and LAPACK,
+## NOTE: If you prefer to link your programs _directly_ with OpenBLAS, BLAS or LAPACK,
 ## NOTE: do not use this installer.
 ## NOTE: To use Armadillo without installation, compile your programs along these lines:
-## NOTE: g++ prog.cpp -o prog -O2 -I /home/blah/armadillo-7.200.3/include -DARMA_DONT_USE_WRAPPER -lblas -llapack
+## NOTE: g++ prog.cpp -o prog -O2 -I /home/blah/armadillo-7.200.3/include -DARMA_DONT_USE_WRAPPER -lopenblas -llapack
 ## NOTE: The above command line assumes that you have unpacked the armadillo archive into /home/blah/  
 ## NOTE: You will need to adjust this for later versions of Armadillo (ie. change the 7.200.3 part)
 ## NOTE: and/or if you have unpacked the armadillo archive into a different directory.
-## NOTE: Replace -lblas with -lopenblas if you have OpenBLAS (recommended).
+## NOTE: Replace -lopenblas with -lblas if you don't have OpenBLAS.
 ## NOTE: On macOS, replace -lblas -llapack with -framework Accelerate
 ## NOTE: More details: http://arma.sourceforge.net/faq.html
 
@@ -56,7 +56,7 @@
 set(ARMA_USE_LAPACK     false)
 set(ARMA_USE_BLAS       false)
 set(ARMA_USE_ATLAS      false)
-set(ARMA_USE_HDF5_ALT   false)
+set(ARMA_USE_HDF5_CMAKE false)
 set(ARMA_USE_ARPACK     false)
 set(ARMA_USE_EXTERN_RNG false)
 set(ARMA_USE_SUPERLU    false)  # Caveat: only SuperLU version 5.x can be used!
@@ -216,9 +216,13 @@
 ## Example use on the command line:
 ## cmake -D ALLOW_BLAS_LAPACK_MACOS=true .
 
-option(BUILD_SMOKE_TEST "Build a smoke test" OFF)
-## Example use on the command line:
-## cmake -D BUILD_SMOKE_TEST=true .
+option(BUILD_SMOKE_TEST "Build the smoke test" ON)
+# set(BUILD_SMOKE_TEST false)
+## uncomment the above line to disable building the smoke test;
+## you can also disable building the smoke test directly on the command line:
+## cmake -D BUILD_SMOKE_TEST=false .
+## 
+## to run the smoke test on the command line:
 ## make
 ## ctest
 
@@ -243,14 +247,16 @@
 message(STATUS "CMAKE_CXX_COMPILER_ID      = ${CMAKE_CXX_COMPILER_ID}"     )
 message(STATUS "CMAKE_CXX_COMPILER_VERSION = ${CMAKE_CXX_COMPILER_VERSION}")
 message(STATUS "CMAKE_COMPILER_IS_GNUCXX   = ${CMAKE_COMPILER_IS_GNUCXX}"  )
-message(STATUS ""                                                          )
-message(STATUS "BUILD_SHARED_LIBS          = ${BUILD_SHARED_LIBS}"         )
-message(STATUS "DETECT_HDF5                = ${DETECT_HDF5}"               )
-message(STATUS "OPENBLAS_PROVIDES_LAPACK   = ${OPENBLAS_PROVIDES_LAPACK}"  )
-message(STATUS "ALLOW_FLEXIBLAS_LINUX      = ${ALLOW_FLEXIBLAS_LINUX}"     )
-message(STATUS "ALLOW_OPENBLAS_MACOS       = ${ALLOW_OPENBLAS_MACOS}"      )
-message(STATUS "ALLOW_BLAS_LAPACK_MACOS    = ${ALLOW_BLAS_LAPACK_MACOS}"   )
-message(STATUS "BUILD_SMOKE_TEST           = ${BUILD_SMOKE_TEST}"          )
+
+message(STATUS "")
+message(STATUS "*** Options:"                                           )
+message(STATUS "BUILD_SHARED_LIBS         = ${BUILD_SHARED_LIBS}"       )
+message(STATUS "DETECT_HDF5               = ${DETECT_HDF5}"             )
+message(STATUS "OPENBLAS_PROVIDES_LAPACK  = ${OPENBLAS_PROVIDES_LAPACK}")
+message(STATUS "ALLOW_FLEXIBLAS_LINUX     = ${ALLOW_FLEXIBLAS_LINUX}"   )
+message(STATUS "ALLOW_OPENBLAS_MACOS      = ${ALLOW_OPENBLAS_MACOS}"    )
+message(STATUS "ALLOW_BLAS_LAPACK_MACOS   = ${ALLOW_BLAS_LAPACK_MACOS}" )
+message(STATUS "BUILD_SMOKE_TEST          = ${BUILD_SMOKE_TEST}"        )
 
 message(STATUS "")
 message(STATUS "*** Looking for external libraries")
@@ -295,10 +301,3 @@
     message(STATUS "")
     
     if(BLAS_FOUND AND LAPACK_FOUND)
-      set(ARMA_LIBS ${ARMA_LIBS} ${BLAS_LIBRARIES})
-      set(ARMA_LIBS ${ARMA_LIBS} ${LAPACK_LIBRARIES})
-      set(ARMA_USE_ACCELERATE false)
-    endif()
-  endif()
-  
-  if(ARMA_USE_ACCELERATE)
