=== debian/changelog ===
armadillo (1:11.4.2+dfsg-1build1) mantic; urgency=medium

  * No-change rebuild against

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 Aug 2023 21:10:42 +0000

armadillo (1:11.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Sat, 29 Oct 2022 19:42:52 +0530
